com.hazelcast.security

## Class AbstractCredentials

- java.lang.Object
- - com.hazelcast.security.AbstractCredentials

- All Implemented Interfaces:
    Portable, Credentials, Serializable
  Direct Known Subclasses:
    UsernamePasswordCredentials

      public abstract class AbstractCredentials
      extends Object
      implements Credentials, Portable

  Abstract implementation of `Credentials`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCredentials()`
    `AbstractCredentials(String principal)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getEndpoint()` Returns IP address of endpoint.
    `String` | `getPrincipal()` Returns principal of endpoint.
    `int` | `hashCode()`
    `void` | `readPortable(PortableReader reader)` Read portable fields using PortableReader
    `protected abstract void` | `readPortableInternal(PortableReader reader)`
    `void` | `setEndpoint(String endpoint)` Sets IP address of endpoint.
    `void` | `setPrincipal(String principal)`
    `void` | `writePortable(PortableWriter writer)` Serialize this portable object using PortableWriter
    `protected abstract void` | `writePortableInternal(PortableWriter writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.Portable

      `getClassId, getFactoryId`

- - ### Constructor Detail

    - #### AbstractCredentials

          public AbstractCredentials()

    - #### AbstractCredentials

          public AbstractCredentials(String principal)

  - ### Method Detail

    - #### getEndpoint

          public final String getEndpoint()

      Description copied from interface: `Credentials`
      Returns IP address of endpoint.
      Specified by:
        `getEndpoint` in interface `Credentials`
      Returns:
        IP address of endpoint

    - #### setEndpoint

          public final void setEndpoint(String endpoint)

      Description copied from interface: `Credentials`
      Sets IP address of endpoint.
      Specified by:
        `setEndpoint` in interface `Credentials`
      Parameters:
        `endpoint` - IP address of endpoint

    - #### getPrincipal

          public String getPrincipal()

      Description copied from interface: `Credentials`
      Returns principal of endpoint.
      Specified by:
        `getPrincipal` in interface `Credentials`
      Returns:
        endpoint principal

    - #### setPrincipal

          public void setPrincipal(String principal)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### writePortable

          public final void writePortable(PortableWriter writer)
                                   throws IOException

      Description copied from interface: `Portable`
      Serialize this portable object using PortableWriter
      Specified by:
        `writePortable` in interface `Portable`
      Parameters:
        `writer` - PortableWriter
      Throws:
        `IOException`

    - #### readPortable

          public final void readPortable(PortableReader reader)
                                  throws IOException

      Description copied from interface: `Portable`
      Read portable fields using PortableReader
      Specified by:
        `readPortable` in interface `Portable`
      Parameters:
        `reader` - PortableReader
      Throws:
        `IOException`

    - #### writePortableInternal

          protected abstract void writePortableInternal(PortableWriter writer)
                                                 throws IOException

      Throws:
        `IOException`

    - #### readPortableInternal

          protected abstract void readPortableInternal(PortableReader reader)
                                                throws IOException

      Throws:
        `IOException`

Copyright © 2019. All rights reserved.